MDKSA-2005:114 - Updated leafnode packages
Posted on: 07/12/2005 04:28 AM

Updated leafnode packages are available for Mandriva Linux

_______________________________________________________________________

Mandriva Linux Security Update Advisory
_______________________________________________________________________

Package name: leafnode
Advisory ID: MDKSA-2005:114
Date: July 11th, 2005

Affected versions: 10.1, 10.2, Corporate 3.0
______________________________________________________________________

Problem Description:

A number of vulnerabilities in the leafnode NNTP server package have been found:

A vulnerability in the fetchnews program that could under some circumstances cause a wait for input that never arrives, which in turn would cause fetchnews to hang (CAN-2004-2068).

Two vulnerabilities in the fetchnews program can cause fetchnews to crash when the upstream server closes the connection and leafnode is receiving an article header or an article body, which prevent leafnode from querying other servers that are listed after that particular server in the configuration file (CAN-2005-1453).

Finally, another vulnerability in the fetchnews program could also cuase a wait for input that never arrives, causing fetchnews to hang (CAN-2005-1911).

The updated packages have been patched to correct this problem.

_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-2068
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1453
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1911
______________________________________________________________________

Updated Packages:

Mandrakelinux 10.1:
0d573481e6ba6335c50c7f2c0008c556 10.1/RPMS/leafnode-1.10.4-1.1.101mdk.i586.rpm
1598ba602b4d7eae524469a4ffa4f363 10.1/SRPMS/leafnode-1.10.4-1.1.101mdk.src.rpm

Mandrakelinux 10.1/X86_64:
6ea053906fce3f66505594c7a300988c x86_64/10.1/RPMS/leafnode-1.10.4-1.1.101mdk.x86_64.rpm
1598ba602b4d7eae524469a4ffa4f363 x86_64/10.1/SRPMS/leafnode-1.10.4-1.1.101mdk.src.rpm

Mandrakelinux 10.2:
6e1d77530f56d974603dbe5b5b414877 10.2/RPMS/leafnode-1.10.4-1.1.102mdk.i586.rpm
df3600d2511ec46c90370598664834df 10.2/SRPMS/leafnode-1.10.4-1.1.102mdk.src.rpm

Mandrakelinux 10.2/X86_64:
a2328b9c5fe8d6f273642955dbb9496f x86_64/10.2/RPMS/leafnode-1.10.4-1.1.102mdk.x86_64.rpm
df3600d2511ec46c90370598664834df x86_64/10.2/SRPMS/leafnode-1.10.4-1.1.102mdk.src.rpm

Corporate 3.0:
2e31824248a0b72dcd573cc1ce6fd54b corporate/3.0/RPMS/leafnode-1.9.46-1.1.C30mdk.i586.rpm
a1154635606b715011ac5a876be60719 corporate/3.0/SRPMS/leafnode-1.9.46-1.1.C30mdk.src.rpm

Corporate 3.0/X86_64:
bbd7bfdc23f029aa8966e1a0b845bc0a x86_64/corporate/3.0/RPMS/leafnode-1.9.46-1.1.C30mdk.x86_64.rpm
a1154635606b715011ac5a876be60719 x86_64/corporate/3.0/SRPMS/leafnode-1.9.46-1.1.C30mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrakeUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/mdksa_2005114__updated_leafnode_packages.html)